Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 252376 - Allow MaraDNS to be built for authoritative use only
Summary: Allow MaraDNS to be built for authoritative use only
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement
Assignee: MATSUU Takuto (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-24 12:37 UTC by Phil
Modified: 2008-12-28 07:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Phil 2008-12-24 12:37:24 UTC
Besides saving about 20k size of the maradns binary, compiling with
'--authonly' has another advantage: MaraDNS is then able to additionally bind
to an IPv6 address.

The patch below shows my solution to make above possible. There is obviously
stuff missing, e.g. the use flag description I did not know where to put to.
Also I can think of an alternative, building both binaries (build is fast, cpu
time cheap and the binary names different) and installing both or either one of
them based on the defined use flags.

--- a/maradns-1.3.07.09.ebuild	2008-12-24 13:16:34.240338118 +0100
+++ b/maradns-1.3.07.09.ebuild	2008-12-24 13:08:03.405078863 +0100
@@ -11,7 +11,7 @@
 LICENSE="as-is"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE=""
+IUSE="authonly"
 
 DEPEND="dev-lang/perl"
 
@@ -26,13 +26,20 @@
 }
 
 src_compile() {
-	./configure || die
+	myconf=""
+	if useq authonly ; then
+		myconf="${myconf} --authonly"
+	fi
+	./configure ${myconf} || die
 	emake CC="$(tc-getCC)" || die "compile problem"
 }
 
 src_install() {
-	dosbin server/maradns
-	# use authonly && newsbin server/maradns.authonly maradns
+	if useq authonly ; then
+		newsbin server/maradns.authonly maradns
+	else
+		dosbin server/maradns
+	fi
 	dosbin tcp/zoneserver
 
 	dobin tcp/getzone tcp/fetchzone tools/askmara tools/duende
Comment 1 Wormo (RETIRED) gentoo-dev 2008-12-25 06:45:42 UTC
Thanks for sharing your enhancement; assigning to maintainer.
Comment 2 MATSUU Takuto (RETIRED) gentoo-dev 2008-12-28 07:33:02 UTC
fixed in cvs. thanks.